import {Module} from "vuex";
import {Citizen} from "@/model/Citizen";

const citizenStore: Module<any,any> = {
    state: {
        citizen: new Citizen ('22', '22', '22', '22' /*, true, '30/08/2021'*/)
    },
    mutations: {
        SET_CITIZEN_PROFILE(state, value) {
            state.citizen = new Citizen(value[0], value[1], value[2], value[3]);
        },
    },
    actions: {
        citizenProfile({commit}, value) {
            commit('SET_CITIZEN_PROFILE', value)
        },
    },
    getters: {
        citizen_Profile: state => state.citizen,
    }
}

export default citizenStore