import { Module } from "vuex";

const trainingPlanStore: Module<any, any> = {
    state: {
        trainingPlans: [],
    },
    mutations: {
        SET_TRAINING_PLAN(state, value) {
            state.trainingPlans = value;
        },
    },
    actions: {
        trainingPlans({commit}, value) {
            commit('SET_TRAINING_PLAN', value)
        },
    },
    getters: {
        training_Plans: state => state.trainingPlans,
    }
}

export default trainingPlanStore
